{
	"name": "table/local/company/company_address.json",
	"table_name": "company_address",
	"table_prefix": "coad",
	"main_table": "company",
	"record_type": ["customer", "supplier"],
	"table_name_language": {
		"customer": "Customer address",
		"supplier": "Supplier address"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "company_id",
			"order": ">"
		}
	],
	"save_script": [],
	"field": [
		{
			"field_name": "address",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "address_type",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "company_id",
			"field_type": "varchar",
			"field_length": 40,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "company_id",
					"linked_record_type": "",
					"linked_table": "company",
					"linking_record_type": ""
				}
			]
		},
		{
			"field_name": "country",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "info",
			"field_type": "text"
		},
		{
			"field_name": "name",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "name_2",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "post_code",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "post_office",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "text_address",
			"field_type": "text"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.telephone_number",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "json_data.telephone_area_code",
			"field_type": "varchar",
			"field_length": 10
		},
		{
			"field_name": "json_data.firm_id",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.company_id",
			"field_type": "varchar",
			"field_length": 12
		}
	]
}
